export let spawnschutzEnabled = true;
var spawnschutzTimer;

export default function spawnschutz() {

    mp.events.add("enableSpawnschutz", () => {
        spawnschutzEnabled = true;
        mp.events.call("toggleSpawnschutz", true);
        mp.events.call("triggerSpawnschutzTimer");
    });

    mp.events.add("abortSpawnschutz", () => {
        spawnschutzEnabled = false;
        mp.events.call("toggleSpawnschutz", false);
        clearInterval(spawnschutzTimer);
    });

    mp.events.add("triggerSpawnschutzTimer", () => {
        clearInterval(spawnschutzTimer);
        spawnschutzTimer = setTimeout(() => {
            mp.events.call("toggleSpawnschutz", false);
            spawnschutzEnabled = false;
        }, 60000);
    });
}   